> For the complete documentation index, see [llms.txt](https://docs.fullwhere.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fullwhere.com/developer/api-references/store.md).

# Store

## GET /partners/store

> Get a store by ID

```json
{"openapi":"3.0.0","info":{"title":"Partners","version":"1.0.0"},"servers":[{"url":"https://api.fullwhere.com"}],"paths":{"/partners/store":{"get":{"operationId":"PartnersStoreController_getStore","parameters":[{"name":"id","required":true,"in":"query","description":"The UUID of the store to retrieve","schema":{"type":"string"}},{"name":"X-API-KEY","in":"header","description":"Partner API Key","required":true,"schema":{"type":"string"}},{"name":"X-API-SECRET","in":"header","description":"Partner API Secret","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The store has been successfully retrieved.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerStore"}}}},"400":{"description":"Invalid input format."},"401":{"description":"Unauthorized"},"404":{"description":"Store not found."}},"summary":"Get a store by ID","tags":["Store"]}}},"components":{"schemas":{"PartnerStore":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"name":{"type":"string","description":"Store name"},"publicName":{"type":"string","description":"Store public name"},"description":{"type":"string","nullable":true,"description":"Store description","default":null},"brandId":{"type":"string","description":"Brand identifier"},"brandName":{"type":"string","description":"Brand name"},"language":{"description":"Language used to generate review responses","allOf":[{"$ref":"#/components/schemas/FullwhereLanguage"}]},"groups":{"description":"Store groups associated with the store","type":"array","items":{"$ref":"#/components/schemas/PartnerStoreGroup"}},"supportEmails":{"description":"Support emails associated with the store","type":"array","items":{"$ref":"#/components/schemas/PartnerSupportEmail"}},"internalCode":{"type":"string","nullable":true,"description":"Internal code of the store","default":null},"postalAddress":{"nullable":true,"description":"Postal address of the store","default":null,"type":"object","allOf":[{"$ref":"#/components/schemas/PostalAddressEmbeddable"}]},"newReviewUris":{"description":"URIs for submitting new reviews","allOf":[{"$ref":"#/components/schemas/NewReviewUrisEmbeddable"}]}},"required":["id","createdAt","updatedAt","name","publicName","description","brandId","brandName","language","groups","supportEmails","internalCode","postalAddress","newReviewUris"]},"FullwhereLanguage":{"type":"string","enum":["af","sq","am","ar","hy","as","az","ba","eu","be","bn","bs","br","bg","my","ca","ceb","ny","zh","zh-TW","co","hr","cs","da","dv","nl","en","eo","et","fo","tl","fi","fr","fy","gl","ka","de","el","kl","gu","ht","ha","haw","he","hi","hmn","hu","is","ig","ilo","id","iu","ga","it","ja","jv","kn","kk","km","rw","ko","ku","ky","lo","la","lv","lt","lb","mk","mg","ms","ml","mt","mi","mr","arn","mn","moh","ne","no","oc","or","ps","fa","pl","pt","pa","qu","ro","ru","sm","gd","sr","st","sn","sd","si","sk","sl","so","es","su","sw","sv","tg","ta","tt","te","th","bo","tr","tk","uk","ur","ug","uz","vi","cy","xh","yi","yo","zu"],"description":"Language used to generate review responses"},"PartnerStoreGroup":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"name":{"type":"string","description":"Store group name"},"description":{"type":"string","nullable":true,"description":"Store group description","default":null},"internalCode":{"type":"string","nullable":true,"description":"Store group internal code","default":null},"color":{"type":"string","description":"Store group hexadecimal color"}},"required":["id","createdAt","updatedAt","name","description","internalCode","color"]},"PartnerSupportEmail":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"email":{"type":"string","description":"Outbound support email address"},"domain":{"type":"string","description":"Outbound support email domain part"},"forwardingEmail":{"type":"string","description":"Inbound support email address"},"default":{"type":"boolean","description":"Indicates if this is the default support email"},"enableInbound":{"type":"boolean","description":"Indicates if inbound email processing is enabled"},"externalDnsConfig":{"nullable":true,"description":"External DNS configuration to be applied by the user (only for EXTERNAL type)","default":null,"type":"object","allOf":[{"$ref":"#/components/schemas/SupportEmailExternalDNSConfigEmbeddable"}]},"dkimVerified":{"type":"boolean","description":"Indicates if DKIM is verified"},"returnPathVerified":{"type":"boolean","description":"Indicates if return path is verified"}},"required":["id","createdAt","updatedAt","email","domain","forwardingEmail","default","enableInbound","externalDnsConfig","dkimVerified","returnPathVerified"]},"SupportEmailExternalDNSConfigEmbeddable":{"type":"object","properties":{"dkim":{"$ref":"#/components/schemas/SupportEmailExternalDNSConfigEntryEmbeddable"},"returnPath":{"$ref":"#/components/schemas/SupportEmailExternalDNSConfigEntryEmbeddable"}},"required":["dkim","returnPath"]},"SupportEmailExternalDNSConfigEntryEmbeddable":{"type":"object","properties":{"host":{"type":"string"},"type":{"type":"string"},"value":{"type":"string"}},"required":["host","type","value"]},"PostalAddressEmbeddable":{"type":"object","properties":{"country":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/ISO31661Alpha2"}]},"streetName":{"type":"string","nullable":true},"addressLine":{"type":"string","nullable":true},"latitude":{"type":"string","nullable":true},"longitude":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"zipCode":{"type":"string","nullable":true}}},"ISO31661Alpha2":{"type":"string","enum":["AF","AX","AL","DZ","AS","AD","AO","AI","AQ","AG","AR","AM","AW","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BM","BT","BO","BA","BW","BV","BR","IO","BN","BG","BF","BI","KH","CM","CA","CV","KY","CF","TD","CL","CN","CX","CC","CO","KM","CG","CD","CK","CR","CI","HR","CU","CY","CZ","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","ET","FK","FO","FJ","FI","FR","GF","PF","TF","GA","GM","GE","DE","GH","GI","GR","GL","GD","GP","GU","GT","GG","GN","GW","GY","HT","HM","VA","HN","HK","HU","IS","IN","ID","IR","IQ","IE","IM","IL","IT","JM","JP","JE","JO","KZ","KE","KI","KR","KP","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MO","MK","MG","MW","MY","MV","ML","MT","MH","MQ","MR","MU","YT","MX","FM","MD","MC","MN","ME","MS","MA","MZ","MM","NA","NR","NP","NL","AN","NC","NZ","NI","NE","NG","NU","NF","MP","NO","OM","PK","PW","PS","PA","PG","PY","PE","PH","PN","PL","PT","PR","QA","RE","RO","RU","RW","BL","SH","KN","LC","MF","PM","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SK","SI","SB","SO","ZA","GS","ES","LK","SD","SR","SJ","SZ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TK","TO","TT","TN","TR","TM","TC","TV","UG","UA","AE","GB","US","UM","UY","UZ","VU","VE","VN","VG","VI","WF","EH","YE","ZM","ZW"]},"NewReviewUrisEmbeddable":{"type":"object","properties":{"google":{"type":"string","nullable":true,"description":"Google statisfaction url"},"tripadvisor":{"type":"string","nullable":true,"description":"Tripadvisor statisfaction url"}},"required":["google","tripadvisor"]}}}}
```

## POST /partners/store/list

> List stores

```json
{"openapi":"3.0.0","info":{"title":"Partners","version":"1.0.0"},"servers":[{"url":"https://api.fullwhere.com"}],"paths":{"/partners/store/list":{"post":{"operationId":"PartnersStoreController_listStores","parameters":[{"name":"X-API-KEY","in":"header","description":"Partner API Key","required":true,"schema":{"type":"string"}},{"name":"X-API-SECRET","in":"header","description":"Partner API Secret","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerStoreListingParamsDto"}}}},"responses":{"201":{"description":"The stores have been successfully listed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerStoreListingOutput"}}}},"400":{"description":"Invalid input format."},"401":{"description":"Unauthorized"}},"summary":"List stores","tags":["Store"]}}},"components":{"schemas":{"PartnerStoreListingParamsDto":{"type":"object","properties":{"limit":{"type":"number","description":"Pagination limit","default":10,"minimum":1,"maximum":100},"page":{"type":"number","description":"Page to retrieve","default":1,"minimum":1},"brands":{"description":"Brand IDs to filter stores","minItems":1,"maxItems":100,"nullable":true,"type":"array","items":{"type":"string","format":"uuid"}}}},"PartnerStoreListingOutput":{"type":"object","properties":{"items":{"description":"List of stores","type":"array","items":{"$ref":"#/components/schemas/PartnerStore"}},"meta":{"description":"Listing metadata","allOf":[{"$ref":"#/components/schemas/PartnerListingOutputMeta"}]}},"required":["items","meta"]},"PartnerStore":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"name":{"type":"string","description":"Store name"},"publicName":{"type":"string","description":"Store public name"},"description":{"type":"string","nullable":true,"description":"Store description","default":null},"brandId":{"type":"string","description":"Brand identifier"},"brandName":{"type":"string","description":"Brand name"},"language":{"description":"Language used to generate review responses","allOf":[{"$ref":"#/components/schemas/FullwhereLanguage"}]},"groups":{"description":"Store groups associated with the store","type":"array","items":{"$ref":"#/components/schemas/PartnerStoreGroup"}},"supportEmails":{"description":"Support emails associated with the store","type":"array","items":{"$ref":"#/components/schemas/PartnerSupportEmail"}},"internalCode":{"type":"string","nullable":true,"description":"Internal code of the store","default":null},"postalAddress":{"nullable":true,"description":"Postal address of the store","default":null,"type":"object","allOf":[{"$ref":"#/components/schemas/PostalAddressEmbeddable"}]},"newReviewUris":{"description":"URIs for submitting new reviews","allOf":[{"$ref":"#/components/schemas/NewReviewUrisEmbeddable"}]}},"required":["id","createdAt","updatedAt","name","publicName","description","brandId","brandName","language","groups","supportEmails","internalCode","postalAddress","newReviewUris"]},"FullwhereLanguage":{"type":"string","enum":["af","sq","am","ar","hy","as","az","ba","eu","be","bn","bs","br","bg","my","ca","ceb","ny","zh","zh-TW","co","hr","cs","da","dv","nl","en","eo","et","fo","tl","fi","fr","fy","gl","ka","de","el","kl","gu","ht","ha","haw","he","hi","hmn","hu","is","ig","ilo","id","iu","ga","it","ja","jv","kn","kk","km","rw","ko","ku","ky","lo","la","lv","lt","lb","mk","mg","ms","ml","mt","mi","mr","arn","mn","moh","ne","no","oc","or","ps","fa","pl","pt","pa","qu","ro","ru","sm","gd","sr","st","sn","sd","si","sk","sl","so","es","su","sw","sv","tg","ta","tt","te","th","bo","tr","tk","uk","ur","ug","uz","vi","cy","xh","yi","yo","zu"],"description":"Language used to generate review responses"},"PartnerStoreGroup":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"name":{"type":"string","description":"Store group name"},"description":{"type":"string","nullable":true,"description":"Store group description","default":null},"internalCode":{"type":"string","nullable":true,"description":"Store group internal code","default":null},"color":{"type":"string","description":"Store group hexadecimal color"}},"required":["id","createdAt","updatedAt","name","description","internalCode","color"]},"PartnerSupportEmail":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"email":{"type":"string","description":"Outbound support email address"},"domain":{"type":"string","description":"Outbound support email domain part"},"forwardingEmail":{"type":"string","description":"Inbound support email address"},"default":{"type":"boolean","description":"Indicates if this is the default support email"},"enableInbound":{"type":"boolean","description":"Indicates if inbound email processing is enabled"},"externalDnsConfig":{"nullable":true,"description":"External DNS configuration to be applied by the user (only for EXTERNAL type)","default":null,"type":"object","allOf":[{"$ref":"#/components/schemas/SupportEmailExternalDNSConfigEmbeddable"}]},"dkimVerified":{"type":"boolean","description":"Indicates if DKIM is verified"},"returnPathVerified":{"type":"boolean","description":"Indicates if return path is verified"}},"required":["id","createdAt","updatedAt","email","domain","forwardingEmail","default","enableInbound","externalDnsConfig","dkimVerified","returnPathVerified"]},"SupportEmailExternalDNSConfigEmbeddable":{"type":"object","properties":{"dkim":{"$ref":"#/components/schemas/SupportEmailExternalDNSConfigEntryEmbeddable"},"returnPath":{"$ref":"#/components/schemas/SupportEmailExternalDNSConfigEntryEmbeddable"}},"required":["dkim","returnPath"]},"SupportEmailExternalDNSConfigEntryEmbeddable":{"type":"object","properties":{"host":{"type":"string"},"type":{"type":"string"},"value":{"type":"string"}},"required":["host","type","value"]},"PostalAddressEmbeddable":{"type":"object","properties":{"country":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/ISO31661Alpha2"}]},"streetName":{"type":"string","nullable":true},"addressLine":{"type":"string","nullable":true},"latitude":{"type":"string","nullable":true},"longitude":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"zipCode":{"type":"string","nullable":true}}},"ISO31661Alpha2":{"type":"string","enum":["AF","AX","AL","DZ","AS","AD","AO","AI","AQ","AG","AR","AM","AW","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BM","BT","BO","BA","BW","BV","BR","IO","BN","BG","BF","BI","KH","CM","CA","CV","KY","CF","TD","CL","CN","CX","CC","CO","KM","CG","CD","CK","CR","CI","HR","CU","CY","CZ","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","ET","FK","FO","FJ","FI","FR","GF","PF","TF","GA","GM","GE","DE","GH","GI","GR","GL","GD","GP","GU","GT","GG","GN","GW","GY","HT","HM","VA","HN","HK","HU","IS","IN","ID","IR","IQ","IE","IM","IL","IT","JM","JP","JE","JO","KZ","KE","KI","KR","KP","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MO","MK","MG","MW","MY","MV","ML","MT","MH","MQ","MR","MU","YT","MX","FM","MD","MC","MN","ME","MS","MA","MZ","MM","NA","NR","NP","NL","AN","NC","NZ","NI","NE","NG","NU","NF","MP","NO","OM","PK","PW","PS","PA","PG","PY","PE","PH","PN","PL","PT","PR","QA","RE","RO","RU","RW","BL","SH","KN","LC","MF","PM","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SK","SI","SB","SO","ZA","GS","ES","LK","SD","SR","SJ","SZ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TK","TO","TT","TN","TR","TM","TC","TV","UG","UA","AE","GB","US","UM","UY","UZ","VU","VE","VN","VG","VI","WF","EH","YE","ZM","ZW"]},"NewReviewUrisEmbeddable":{"type":"object","properties":{"google":{"type":"string","nullable":true,"description":"Google statisfaction url"},"tripadvisor":{"type":"string","nullable":true,"description":"Tripadvisor statisfaction url"}},"required":["google","tripadvisor"]},"PartnerListingOutputMeta":{"type":"object","properties":{"itemCount":{"type":"number","description":"Total number of items for the given page."},"totalItems":{"type":"number","description":"Total number of items."},"itemsPerPage":{"type":"number","description":"Number of items per page."},"totalPages":{"type":"number","description":"Total number of pages."},"currentPage":{"type":"number","description":"Current page number."}},"required":["itemCount","totalItems","itemsPerPage","totalPages","currentPage"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fullwhere.com/developer/api-references/store.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
